# setProperty

## Description

Allows users to set a property of a component.

## Input / Parameter

| Name        | Description                                            | Input Type  | Default | Options | Required                       |
| ----------- | ------------------------------------------------------ | ----------- | ------- | ------- | ------------------------------ |
| component   | The name of the component.                             | String/Text | -       | -       | Yes, if componentId is not set |
| componentId | The component ID (for components in FlatList item)     | String/Text | -       | -       | Yes, if component is not set   |
| property    | The attribute to be set for the component.             | String/Text | -       | -       | Yes                            |
| value       | The value of the property to be set for the component. | String/Text | -       | -       | Yes                            |

## Output

Note: The component will be updated to show the value that has been set to it.

## Example

In this example, we will set the placeholder attribute of the text input component, where once the button is clicked the text input component will show a placeholder that says "Enter your input!"

### Steps

1. First, we drag a button and a text input onto the canvas.
2. Select the button and under the 'Actions' tab, drag the `Component.setProperty` into the flow for the button.

   ![](/files/asom90qCONQAMF7no0P5)
3. Under the inspector for this function, select the component whose property you would be changing, which in this example is `TextInput165`.
4. Enter the property to change and the value of the property to display.

   ![](/files/yHSJu4Mtb3q29CpfYc4s)

### Result

1. Save and preview your app.
2. Now when you click the button, it will set the placeholder attribute of the text input component to 'Enter your input!'

   ![](/files/C0DRXurWgz6LfW8UsEI6)

## Links

### Related Information

See also:

* Functions
  * [Component.getProperty](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/gitbook/2-5-actions-and-visual-logic/action-reference/react-native/Component/getProperty/getProperty.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/react-native/component/setproperty.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
